commit:     686a9efcc4b316248c95af2fc002294765f6040a
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  1 17:06:42 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Thu Sep  1 18:03:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=686a9efc

dev-python/ccdproc: version bump

Package-Manager: portage-2.3.0

 dev-python/ccdproc/Manifest             |  1 +
 dev-python/ccdproc/ccdproc-1.1.0.ebuild | 53 +++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/ccdproc/Manifest b/dev-python/ccdproc/Manifest
index cee838f..6c340f6 100644
--- a/dev-python/ccdproc/Manifest
+++ b/dev-python/ccdproc/Manifest
@@ -1 +1,2 @@
 DIST ccdproc-1.0.1.tar.gz 527849 SHA256 
fc9ccf28b518847740a7b458335c4a380e8c496f678aed1e43e2a8a3bed7e251 SHA512 
2f55bbae65aa7adbbf03e2982634a7523aed5e0afd8833a9f70783e5507683d3adb13a58e0fab9ede1a947e5e67bd5aaaa8116894ffb72bf52bc8160fb51ab77
 WHIRLPOOL 
d3c17576e979f4ae5c0b1de7883e88c2da6623b61f26ea725912e2d46d1dc598192f6b5330ee1c92e88e992ba8bff8cdfd77dde2035701e4ffe01496ff2aa99a
+DIST ccdproc-1.1.0.tar.gz 493426 SHA256 
e3d5c65770840ab7bfa267caa429cda92d68a433b2b60620d9efd70b8a641397 SHA512 
72c55df91e2ede41898af0631d83121f7e13f468c16da570e6fca5742f431914be7da5e030f62041fb59b2d8c721b4250205d7b733d8bbb2becb15d9b98607be
 WHIRLPOOL 
51ed8ab822df17885961c474389f2a6f77068d54ee2e43e722920f05997f2a3899e67391636d3bebdbf0a5122a672f9b3bc0346104cd9e0ffc44076a54642ef3

diff --git a/dev-python/ccdproc/ccdproc-1.1.0.ebuild 
b/dev-python/ccdproc/ccdproc-1.1.0.ebuild
new file mode 100644
index 00000000..aae1200
--- /dev/null
+++ b/dev-python/ccdproc/ccdproc-1.1.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Astropy affiliated package for reducing optical/IR CCD data"
+HOMEPAGE="https://github.com/astropy/ccdproc";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+
+DOCS=( README.rst )
+
+RDEPEND="
+       dev-python/astropy[${PYTHON_USEDEP}]
+       dev-python/astropy-helpers[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+                       dev-python/astroscrappy[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+                       dev-python/reproject[${PYTHON_USEDEP}]
+                 )"
+
+python_prepare_all() {
+       sed -i -e '/auto_use/s/True/False/' setup.cfg || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to